# RecursiveCallbackFilterIterator::getChildren

(PHP 5 >= 5.4.0, PHP 7)

RecursiveCallbackFilterIterator::getChildren — Return the inner iterator's children contained in a RecursiveCallbackFilterIterator

### Description

public RecursiveCallbackFilterIterator::getChildren ( void ) : RecursiveCallbackFilterIterator

Fetches the filtered children of the inner iterator.

RecursiveCallbackFilterIterator::hasChildren() should be used to determine if there are children to be fetched.

### Parameters

This function has no parameters.

### Return Values

Returns a RecursiveCallbackFilterIterator containing the children.

### See Also

- RecursiveCallbackFilterIterator Examples
- RecursiveCallbackFilterIterator::__construct() - Create a RecursiveCallbackFilterIterator from a RecursiveIterator
- RecursiveCallbackFilteriterator::hasChildren() - Check whether the inner iterator's current element has children